org.eclipse.viatra.query.patternlanguage.emf.ui.builder

## Class OldVersionHelper

- java.lang.Object
- - org.eclipse.viatra.query.patternlanguage.emf.ui.builder.OldVersionHelper

-     public class OldVersionHelper
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OldVersionHelper.SourceFolderFinder` Predicate to decide whether a classpath entry is the corresponding source folder for a path

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OldVersionHelper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T extends org.eclipse.emf.ecore.EObject> T` | `findOldVersion(org.eclipse.emf.common.util.URI proxyURI)` Finds the version of the object stored by the previous run of the VIATRA builder.
    `Pattern` | `findPattern(org.eclipse.emf.common.util.URI proxyURI)` Finds the version of the pattern stored by the previous run of the VIATRA builder.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OldVersionHelper

          public OldVersionHelper()

  - ### Method Detail

    - #### findPattern

          public Pattern findPattern(org.eclipse.emf.common.util.URI proxyURI)
                              throws org.eclipse.jdt.core.JavaModelException

      Finds the version of the pattern stored by the previous run of the VIATRA builder. Note: This code should be called only when the proxyURI represents something in an existing project. It is not a problem is the proxyURI is unresolvable, but the project part has to exist.
      Throws:
        `org.eclipse.jdt.core.JavaModelException`

    - #### findOldVersion

          public <T extends org.eclipse.emf.ecore.EObject> T findOldVersion(org.eclipse.emf.common.util.URI proxyURI)
                                                                     throws org.eclipse.jdt.core.JavaModelException

      Finds the version of the object stored by the previous run of the VIATRA builder. Note: This code should be called only when the proxyURI represents something in an existing project. It is not a problem is the proxyURI is unresolvable, but the project part has to exist.
      Throws:
        `org.eclipse.jdt.core.JavaModelException`
      Since:
        1.6